Browse Source

new: windows install will install charm-store

Signed-off-by: Valentin Lab <valentin.lab@kalysto.org>
pull/1/head
Valentin Lab 4 years ago
parent
commit
f9016e306b
  1. 11
      README.org
  2. 30
      src/install.sh

11
README.org

@ -94,9 +94,16 @@ our tool =compose= for the moment. However you can use the full blown
- =docker= >= 17.06
- =docker-compose=
**** TODO Deployment
**** Deployment
You'll need to get our charms if you want to use our same postgres
image.
This script will take care of what you need:
#+BEGIN_SRC shell
curl -sS https://git.myceliandre.fr/Lokavaluto/dev-pack/raw/branch/dev/src/install.sh | bash
#+END_SRC
** Usage
@ -169,6 +176,8 @@ cat <<EOF > docker-compose.yml
version: '2.0'
services:
odoo:
ports:
- 8069:8069
command:
- odoo
- --config=/opt/odoo/auto/odoo.conf

30
src/install.sh

@ -200,6 +200,21 @@ install_file() {
rm -f "$tmpfile"
}
get_charm_store() {
if ! [ -d "$CHARM_PATH" ]; then
echo "Creating charm-store in '$CHARM_PATH'."
git clone https://git.0k.io/0k-charms.git "$CHARM_PATH" || exit 1
else
echo "Updating existing charm-store in '$CHARM_PATH'."
cd "$CHARM_PATH" || exit 1
git checkout master &&
git pull -r || {
warn "Could not update charm-store, do you have devs ingoing ?"
}
fi
}
install.linux() {
depends docker curl git
@ -245,17 +260,7 @@ install.linux() {
fi
## CHARMS
if ! [ -d "$CHARM_PATH" ]; then
echo "Creating charm-store in '$CHARM_PATH'."
git clone https://git.0k.io/0k-charms.git "$CHARM_PATH" || exit 1
else
echo "Updating existing charm-store in '$CHARM_PATH'."
cd "$CHARM_PATH" || exit 1
git checkout master &&
git pull -r || {
warn "Could not update charm-store, do you have devs ingoing ?"
}
fi
get_charm_store || exit 1
##
## YYYvlab: following needs to be discussed further with njeudy
@ -306,7 +311,8 @@ install.mac() {
}
install.wsl() {
die "Not implemented yet."
CHARM_PATH=~/.charm-store
get_charm_store || return 1
}

Loading…
Cancel
Save